## ros-noetic-rm-description 0.1.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(rm_description)

## Find catkin macros and libraries
find_package(catkin REQUIRED
        COMPONENTS
        )

###################################
## catkin specific configuration ##
###################################
catkin_package(
        CATKIN_DEPENDS
)

#############
## Install ##
#############

# Mark resource files for installation
install(
        DIRECTORY meshes urdf
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Mark other files for installation
install(
        DIRECTORY doc
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-rm-description (0.1.9-1focal) focal; urgency=high

  * Add omni wheel urdf
  * Complete omni wheel urdf
  * Add test launch file to check urdf
  * Rename launch file.Delete roller_type in urdf.Change args of hook
  * Merge pull request #21 <https://github.com/rm-controls/rm_control/pull/21> from ye-luo-xi-tui/omni_wheel
  * Fix errors of swerve urdf
  * Add CI/CD action
  * Create Doxyfile
  * Create .pre-commit-config.yaml
  * Add permissions to script
  * Delete pre_release.yml
  * Merge pull request #3 <https://github.com/rm-controls/rm_description/pull/3> from YuuinlH/-master
  * Merge pull request #4 <https://github.com/rm-controls/rm_description/pull/4> from YuuinlH/-master
  * Update deb_package.yml
  * Merge pull request #5 <https://github.com/rm-controls/rm_description/pull/5> from YuuinlH/-master
  * Update package.sh
  * Delete doxygen action(Uesless)
  * Add"none"type of omni_wheel roller.Set"none"for real robot
  * Fix error in check_joint.launch.Add rviz launch.
  * Merge pull request #8 <https://github.com/rm-controls/rm_description/pull/8> from ye-luo-xi-tui/-master
  * Add LICENSE file
  * Update the hero description files
  * Modify the format error of hero urdf files
  * Merge pull request #11 <https://github.com/rm-controls/rm_description/pull/11> from Edwinlinks/-hero_urdf
  * Contributors: Edwinlinks, QiayuanLiao, YuuinIH, qiayuan, yezi, mlione

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 01 Apr 2022 00:00:00 -0000

ros-noetic-rm-description (0.1.8-1focal) focal; urgency=high

  * Merge pull request #19 <https://github.com/rm-controls/rm_control/issues/19> from ye-luo-xi-tui/fix_rmua_bug
    Fix rmua bug
  * Change limit of rmua.
    (cherry picked from commit a1e4d841dd4cda83d50189a8f5d3bd84d604d244)
  * Fix a bug in rmua urdf
    (cherry picked from commit cd6f7fac5c375cd74408620438039ca2c83437cd)
  * Merge branch 'master' into master
  * Update standard4.urdf.xacro and rm_hw/config/standard4.yaml.
  * Merge remote-tracking branch 'origin/master'
  * Merge pull request #16 <https://github.com/rm-controls/rm_control/issues/16> from Edwinlinks/master
    Modify the date of standard in rm_description
  * Modify the date of standard in rm_description
  * Fix imu inertia and add imu to balance
  * Merge branch 'master' into gimbal/opti_or_simplify
  * Update CHANGELOG
  * Update standard5's imu orientation
  * Update IMU orientation of standard5.urdf.xacro
  * Merge branch 'master' into gimbal/opti_or_simplify
  * Merge branch 'master' into gimbal/opti_or_simplify
  * Update URDF of imu
  * Contributors: BruceLannn, Edwinlinks, QiayuanLiao, YuuinIH, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 07 Dec 2021 00:00:00 -0000

ros-noetic-rm-description (0.1.7-1focal) focal; urgency=high

  * 0.1.6
  * Update CHANGELOG
  * Update URDF of imu
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 26 Sep 2021 00:00:00 -0000

ros-noetic-rm-description (0.1.6-1focal) focal; urgency=high

  * Update URDF of imu
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 26 Sep 2021 00:00:00 -0000

ros-noetic-rm-description (0.1.5-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 02 Sep 2021 00:00:00 -0000

ros-noetic-rm-description (0.1.4-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 02 Sep 2021 00:00:00 -0000

ros-noetic-rm-description (0.1.3-1focal) focal; urgency=high

  * Merge branch 'master' into master
  * Contributors: QiayuanLiao
  * Merge branch 'master' into master
  * Contributors: QiayuanLiao

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Wed, 01 Sep 2021 00:00:00 -0000

ros-noetic-rm-description (0.1.2-1focal) focal; urgency=high

  * Run pre-commit
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 14 Aug 2021 00:00:00 -0000

ros-noetic-rm-description (0.1.1-1focal) focal; urgency=high

  * Reset all version to 0.1.0
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 12 Aug 2021 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-rm-description
Section: misc
Priority: optional
Maintainer: Qiayuan Liao <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rm-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-xacro
Description: RoboMaster robot description files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rm-description//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
